<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>jQuery file upload example</title>
	<link rel="stylesheet" type="text/css" href="/bower_components/bootstrap/dist/css/bootstrap.min.css">
	<link rel="stylesheet" type="text/css" href="/bower_components/Dropper/jquery.fs.dropper.min.css"/>
</head>
<body>
	<div class="container">
		<div class="row">
			<div id="freedback" class="col-md-12">
			</div>
		</div>
		<form method="POST" action="/profile/<?php echo $userId ?>" enctype="multipart/form-data" >
			<div class="form-group">
				<div id="dropzone" class="dropper dropzone">
				</div>
			</div>
		</form>
	</div>
	<script type="text/javascript" src="/bower_components/jquery/dist/jquery.min.js"></script>
	<script type="text/javascript" src="/bower_components/Dropper/jquery.fs.dropper.min.js"></script>
	<script type="text/javascript" src="/bower_components/bootstrap/dist/js/bootstrap.min.js"></script>
	<script type="text/javascript">
		(function ($) {
			$(function() {
				$('#dropzone').dropper({
					action: '/profile/<?php echo $userId ?>',
					postKey: 'profile_pic',
					maxSize: 5242880, //5M
					maxQueue: 10
				})
				.on('start.dropper', function (e, files) {

					$('#freedback').empty().append('<div class="alert alert-info">Upload stared</div>');
				})
				.on('fileStart.dropper', function (e, file) {
					$('#freedback').append('<div class="alert alert-info">Upload stared [' + file.name + '] ' + '0%</div>');
				})
				.on('fileProgress.dropper', function (e, file, percent) {
					$('#freedback').append('<div class="alert alert-info">Upload progress [' + file.name + '] ' + percent +'%</div>');
				})
				.on('fileComplete.dropper', function (e, file, response) {
					$('#freedback').append('<div class="alert alert-info">Upload completed [' + file.name + '] <br/>' + 'server response: ' + response +'</div>');
					if (response.errors) {
						$.each(response.errors, function (index, error) {
							$('#freedback').append('<div class="alert alert-danger">Server error: [' + error+ '] <br/></div>');
						});
					}
					if (response.message) {
						//$.each(response.message, function (index, message) {
							$('#freedback').append('<div class="alert alert-success">Upload success: [' + response.message.name + '] <br/></div>');
						//});

					}
				})
				.on('fileError.dropper', function (e, file, error) {
					$('#freedback').append('<div class="alert alert-danger">' + file.name + ': ' + error + '</div>');
				})
				.on('complete.dropper', function (e) {
					$('#freedback').append('<div class="alert alert-success">All done!</div>');
				});
			});
		})(jQuery);
	</script>
</body>
</html>